<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout3}">
<head>
    <meta charset="UTF-8">
    <title>Approval </title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4"
>
<!--    <div th:include="sidebar/sidebar_approval::sidebar_approval" th:remove="tag">-->
<!--        sidebar-->
<!--    </div>-->
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <span><i class="fa fa-check" style="color: #9B7536"></i> Approval</span>
                </div>
            </div>
        </div>

        <div class="row mb-3">

            <div class="col-md-12">
                <div class="card bg-transparent p-3">
                    <div class="card-header bg-transparent">
                        <form method="get">
                            <div class="row">
                                <div class="col-md-6">
                                    Show entries <span sd:page-size-selector="javascript"></span>
                                </div>
                                <div class="col-md-6" align="right">
                                    <div class="input-group input-group-sm pull-right" style="width: 200px;">
                                        <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                                        <div class="input-group-btn">
                                            <button type="submit" class="btn btn-secondary"><i class="fa fa-search"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="card-body">
                        <form th:action="@{/approval/approve_checked}" name="form1" method="post">
                        <div class="row mb-3">
                            <div class="col-md-12 p-3 border-bottom border-top small">
<!--                                <div class="shadow-sm p-3 rounded small border">-->
                                    <div class="row">
                                        <div class="col-md-12 clearfix">
                                            <input type="checkbox" name="a" id = "checkAll" class="form-check-input aa">
                                            Check All
                                        </div>
                                    </div>
<!--                                </div>-->
                            </div>
                        </div>
                        <div class="row" th:each="dataRequest,row : ${listRequest}">
                            <div class="col-md-12 mb-3 p-3 small border-top border-bottom">
<!--                                <div class="shadow-sm p-3 rounded small border">-->
                                    <div class="row">
                                        <div class="col-md-1 clearfix">
                                            <p>
                                                <label>
                                                    <input type="checkbox" th:value="${dataRequest.getId()}" name="request" class="form-check-input ad">
                                                </label>
                                                <span class="float-end" th:text="${(row.index + 1) + (listRequest.number * listRequest.size)+'.'}"></span>
                                            </p>
                                        </div>
                                        <div class="col-md-11">
                                            <div class="row mb-2">
                                                <div class="col-md-6">
                                                    <p>
                                                        <span class="badge text-bg-primary" th:if="${dataRequest.getJenis() == 'attendance'}">Attendance</span>
                                                        <span class="badge text-bg-success" th:if="${dataRequest.getJenis() == 'overtime'}">Overtime</span>
                                                        <span class="badge text-bg-danger" th:if="${dataRequest.getJenis() == 'time_off'}">Time Off</span>
                                                        &nbsp;
                                                        <strong>Request By : </strong>
                                                        <span th:text="${dataRequest.getFullName()}"></span>
                                                    </p>
                                                </div>
                                                <div class="col-md-6 clearfix">
                                                    <p>
                                                        <span class="float-end" th:text="${' '+#temporals.format(dataRequest.getTanggalPengajuan(),'dd-MMM-yyyy hh:mm:ss')}"></span>
                                                        <strong class="float-end">Created at :</strong>
                                                    </p>
                                                </div>
                                            </div>
                                            <div class="row mb-3">
                                                <div class="col-md-1 d-grid gap-2">
                                                    <a th:if="${dataRequest.getFile() == ''}" class="btn btn-outline-warning btn-sm text-center align-middle">
                                                        <i class="fa fa-trash"></i>
                                                    </a>
                                                    <a th:if="${dataRequest.getFile() != '' && dataRequest.getJenis() == 'attendance'}" class="btn btn-outline-secondary btn-sm center align-middle" th:href="@{/attendance/{attendanceRequest}/request/(attendanceRequest = ${dataRequest.getId()})}" target="_blank">
                                                        <i class="fa fa-download"></i>
                                                    </a>
                                                    <a th:if="${dataRequest.getFile() != '' && dataRequest.getJenis() == 'overtime'}" class="btn btn-outline-secondary btn-sm center align-middle" th:href="@{/overtime/{overtimeRequest}/request/(overtimeRequest = ${dataRequest.getId()})}" target="_blank">
                                                        <i class="fa fa-download"></i>
                                                    </a>
                                                    <a th:if="${dataRequest.getFile() != '' && dataRequest.getJenis() == 'time_off'}" class="btn btn-outline-secondary btn-sm center align-middle" th:href="@{/time_off/{timeOffRequest}/request/(timeOffRequest = ${dataRequest.getId()})}" target="_blank">
                                                        <i class="fa fa-download"></i>
                                                    </a>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <strong>Request date : </strong>
                                                            <span th:if="${dataRequest.getJenis() != 'time_off'}" th:text="${#temporals.format(dataRequest.getTanggal(),'dd-MMM-yyyy')}">BEASISWA</span>
                                                            <span th:if="${dataRequest.getJenis() == 'time_off'}" th:text="${'From : ' + #temporals.format(dataRequest.getTanggal(),'dd-MMM-yyyy') + ' To : ' + #temporals.format(dataRequest.getSampai(),'dd-MMM-yyyy')}">BEASISWA</span>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <strong>For : </strong>
                                                            <span th:text="${dataRequest.getRequest()+' '}"></span>
                                                            &nbsp;
                                                            <a th:href="@{/approval/change(id=${dataRequest.getId()})}" class="link-primary" th:if="${dataRequest.getJenis() == 'time_off'}">Change</a>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-12">
<!--                                                            <strong>Description : </strong>-->
                                                            <span th:text="${dataRequest.getKeterangan()}"></span>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-5">
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <strong>Approval History</strong>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-md-12">
                                                            <span th:text="${dataRequest.getApprove()}"></span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-12 clearfix">
                                                    <a class="btn btn-outline-success btn-sm rounded" th:href="@{/approval/approve(request=${dataRequest.getId()}, option=${dataRequest.getJenis()})}">Approve</a>
                                                    <a class="btn btn-outline-danger btn-sm float-end rounded" th:href="@{/approval/konfirmasi(request=${dataRequest.getId()}, option=${dataRequest.getJenis()})}">Rejected</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
<!--                                </div>-->
                            </div>
                        </div>



                            <div class="row">
                                <div class="col-md-6">
                                    <input type="submit" class="btn btn-outline-primary rounded btn-sm" value="Approve Checked">
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="card-footer bg-transparent">
                        <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                            <li class="disabled"><a href="#" aria-label="Previous"><span
                                    aria-hidden="true">&laquo;</span></a>
                            </li>
                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>

        </div>


    </main>






</main>

<section layout:fragment="footer">
<!--    <script>-->
<!--        $(document).ready(function() {-->
<!--            $('.aa').on('ifChanged', function(event) {-->
<!--                var checkBox = document.getElementById("checkAll");-->

<!--                // Jika checkbox utama diubah-->
<!--                if (checkBox.checked == true) {-->
<!--                    // Mencentang semua checkbox anak-->
<!--                    $('.ad').prop('checked', true);-->
<!--                } else {-->
<!--                    // Melepas centang semua checkbox anak-->
<!--                    $('.ad').prop('checked', false);-->
<!--                }-->

<!--                // Memperbarui tampilan menggunakan iCheck-->
<!--                $('.ad').iCheck('update');-->
<!--            });-->

<!--            // Tambahan: Jika satu dari checkbox anak diubah, periksa apakah semua dicentang atau tidak-->
<!--            $('.ad').on('ifChanged', function(event) {-->
<!--                var allChecked = $('.ad:checked').length === $('.ad').length;-->

<!--                // Jika semua checkbox anak dicentang, centang juga checkbox utama-->
<!--                $('#checkAll').prop('checked', allChecked);-->

<!--                // Memperbarui tampilan menggunakan iCheck-->
<!--                $('#checkAll').iCheck('update');-->
<!--            });-->
<!--        });-->
<!--    </script>-->

<!--    <script>-->

<!--        $('.aa').on('ifChanged', function(event) {-->
<!--            // alert('checked = ' + event.target.checked);-->
<!--            // alert('value = ' + event.target.value);-->

<!--            var checkBox = document.getElementById("checkAll");-->

<!--            // If the checkbox is checked, display the output text-->
<!--            if (checkBox.checked == true){-->
<!--                // document.getElementById("tampil").setAttribute('value', 'tanggalString');-->
<!--                $('.ad').prop('checked', true);-->
<!--                $('.ad').iCheck('update');-->
<!--            } else {-->
<!--                // document.getElementById("tampil").setAttribute('value', '');-->
<!--                $('.ad').prop('checked', false);-->
<!--                $('.ad').iCheck('update');-->
<!--            }-->
<!--        });-->

<!--        function checkAll() {-->
<!--            // var checkBox = document.getElementById("checkAll");-->
<!--            //-->
<!--            // // If the checkbox is checked, display the output text-->
<!--            // if (checkBox.checked == true){-->
<!--            //     document.getElementById("tampil").setAttribute('value', 'tanggalString');-->
<!--            //     $(".ad").show();-->
<!--            // } else {-->
<!--            //     document.getElementById("tampil").setAttribute('value', '');-->
<!--            //     $(".ad").hide();-->
<!--            // }-->



<!--        }-->
<!--    </script>-->

<!--    <script>-->
<!--        $(document).ready(function() {-->
<!--            // Ketika checkbox "checkAll" diubah-->
<!--            $('#checkAll').on('ifChanged', function(event) {-->
<!--                // Mengambil status centang checkbox "checkAll"-->
<!--                var isChecked = $(this).prop('checked');-->

<!--                // Mengatur status centang untuk semua checkbox anak dengan kelas ".ad"-->
<!--                $('.ad').prop('checked', isChecked);-->

<!--                // Memperbarui tampilan menggunakan iCheck-->
<!--                $('.ad').iCheck('update');-->
<!--            });-->

<!--            // Ketika satu dari checkbox anak dengan kelas ".ad" diubah-->
<!--            $('.ad').on('ifChanged', function(event) {-->
<!--                // Memeriksa apakah semua checkbox ".ad" dicentang-->
<!--                var allChecked = $('.ad:checked').length === $('.ad').length;-->

<!--                // Mengatur status centang untuk checkbox "checkAll"-->
<!--                $('#checkAll').prop('checked', allChecked);-->

<!--                // Memperbarui tampilan menggunakan iCheck-->
<!--                $('#checkAll').iCheck('update');-->
<!--            });-->
<!--        });-->
<!--    </script>-->

    <script>
        $(document).ready(function() {
            // Ketika checkbox "checkAll" diubah
            $('#checkAll').on('change', function() {
                // Mengambil status centang checkbox "checkAll"
                var isChecked = $(this).prop('checked');

                // Mengatur status centang untuk semua checkbox anak dengan kelas ".ad"
                $('.ad').prop('checked', isChecked);
            });

            // Ketika salah satu checkbox anak dengan kelas ".ad" diubah
            $('.ad').on('change', function() {
                // Mengatur status centang untuk checkbox "checkAll" berdasarkan status semua checkbox ".ad"
                $('#checkAll').prop('checked', $('.ad:checked').length === $('.ad').length);
            });
        });
    </script>


</section>
</body>
</html>



<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Attendance Request</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Approval Request-->
<!--        <small></small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Master Data</li>-->
<!--        <li class="active"> Approval Request List</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->

<!--    <div class="row">-->
<!--        &lt;!&ndash;        <div class="col-md-3">&ndash;&gt;-->
<!--        &lt;!&ndash;            <div class="box box-solid">&ndash;&gt;-->
<!--        &lt;!&ndash;                <div class="box-header with-border">&ndash;&gt;-->
<!--        &lt;!&ndash;                    <h3 class="box-title">Tab</h3>&ndash;&gt;-->

<!--        &lt;!&ndash;                    <div class="box-tools">&ndash;&gt;-->
<!--        &lt;!&ndash;                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>&ndash;&gt;-->
<!--        &lt;!&ndash;                        </button>&ndash;&gt;-->
<!--        &lt;!&ndash;                    </div>&ndash;&gt;-->
<!--        &lt;!&ndash;                </div>&ndash;&gt;-->
<!--        &lt;!&ndash;                <div class="box-body no-padding">&ndash;&gt;-->
<!--        &lt;!&ndash;                    <ul class="nav nav-pills nav-stacked">&ndash;&gt;-->
<!--        &lt;!&ndash;                        <li class="active">&ndash;&gt;-->
<!--        &lt;!&ndash;                            <a th:href="@{/request/attendance}"><i class="fa fa-inbox"></i> Waiting</a>&ndash;&gt;-->
<!--        &lt;!&ndash;                        </li>&ndash;&gt;-->
<!--        &lt;!&ndash;                        <li>&ndash;&gt;-->
<!--        &lt;!&ndash;                            <a th:href="@{/request/attendance}"><i class="fa fa-inbox"></i> Approved</a>&ndash;&gt;-->
<!--        &lt;!&ndash;                        </li>&ndash;&gt;-->
<!--        &lt;!&ndash;                    </ul>&ndash;&gt;-->
<!--        &lt;!&ndash;                </div>&ndash;&gt;-->
<!--        &lt;!&ndash;                &lt;!&ndash; /.box-body &ndash;&gt;&ndash;&gt;-->
<!--        &lt;!&ndash;            </div>&ndash;&gt;-->
<!--        &lt;!&ndash;        </div>&ndash;&gt;-->
<!--        <div class="col-md-12">-->

<!--            <div class="callout callout-success" th:if="${success != null}">-->
<!--                <h4>Save Data Success!</h4>-->

<!--                <p>Data Berhasil Disimpan.</p>-->
<!--            </div>-->

<!--            <div class="callout callout-success" th:if="${deleted != null}">-->
<!--                <h4>Delete Data Success!</h4>-->

<!--                <p>Data Berhasil Dihapus.</p>-->
<!--            </div>-->

<!--            <div class="callout callout-danger" th:if="${gagal != null}">-->
<!--                <h4>Save Data Unsuccesfully!</h4>-->

<!--                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>-->
<!--            </div>-->

<!--            &lt;!&ndash; Custom Tabs &ndash;&gt;-->
<!--            &lt;!&ndash;            <div class="nav-tabs-custom">&ndash;&gt;-->
<!--            &lt;!&ndash;                <ul class="nav nav-tabs">&ndash;&gt;-->
<!--            &lt;!&ndash;                    <li class="active"><a href="#detail" data-toggle="tab">Attendance Request</a></li>&ndash;&gt;-->
<!--            &lt;!&ndash;                </ul>&ndash;&gt;-->
<!--            &lt;!&ndash;                <form class="form-horizontal" th:action="@{/masterdata/employes/keluarga/save}" th:object="${employes}" method="post" enctype="multipart/form-data">&ndash;&gt;-->
<!--            <div class="box">-->
<!--                <div class="box-body">-->
<!--                    <div class="row">-->
<!--                        <div class="col-md-12">-->
<!--                            <div class="box box-info">-->
<!--                                <div class="box-header with-border">-->

<!--                                    <span>Approval Request</span>-->
<!--                                    &lt;!&ndash;                                        <span th:text="${employes.fullName}"></span>&ndash;&gt;-->

<!--                                </div>-->
<!--                                <div class="box-body">-->
<!--                                    <div class="box">-->
<!--                                        <form method="get">-->
<!--                                            <div class="box-header with-border">-->
<!--                                                <div class="row">-->
<!--                                                    <div class="col-md-6">-->
<!--                                                        &lt;!&ndash;                                                                <h3 class="box-title">Ayah</h3>&ndash;&gt;-->
<!--                                                    </div>-->
<!--                                                    <div class="col-md-6" align="right">-->
<!--                                                        Show entries <span sd:page-size-selector="javascript"></span>-->
<!--                                                    </div>-->
<!--                                                </div>-->
<!--                                            </div>-->

<!--                                            <div class="box-header with-border">-->
<!--                                                <div class="row">-->
<!--                                                    <div class="col-md-6">-->
<!--&lt;!&ndash;                                                        <a th:href="@{/request/attendance/new}" name="tambahAyah" type="button" class="btn btn-primary">Request Attendance</a>&ndash;&gt;-->
<!--                                                    </div>-->

<!--                                                    <div class="col-md-6" align="right">-->
<!--                                                        <div class="input-group input-group-sm" style="width: 150px;">-->
<!--                                                            <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">-->
<!--                                                            <div class="input-group-btn">-->
<!--                                                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>-->
<!--                                                            </div>-->
<!--                                                        </div>-->
<!--                                                    </div>-->

<!--                                                </div>-->
<!--                                            </div>-->
<!--                                        </form>-->
<!--                                        &lt;!&ndash; /.box-header &ndash;&gt;-->


<!--                                        <div class="box-body table-responsive no-padding">-->


<!--&lt;!&ndash;                                            <input type="checkbox" name="c" id = "mycheck" class="flat-red ad" hidden>&ndash;&gt;-->

<!--                                            <form th:action="@{/approval/approve_checked}" name="form1" method="post">-->
<!--                                            <table class="table table-bordered">-->
<!--                                                <tr>-->
<!--                                                    <th style="width: 10px">#</th>-->
<!--                                                    <th style="width: 10px"><input type="checkbox" name="a" id = "checkAll" class="flat-red aa" onclick="checkAll()">-->
<!--                                                        All</th>-->
<!--                                                    <th>Request Detail</th>-->
<!--                                                </tr>-->
<!--                                                <tr th:each="dataRequest,row : ${listRequest}">-->
<!--                                                    <td th:text="${(row.index + 1) + (listRequest.number * listRequest.size)}">1.</td>-->
<!--                                                    <td>-->
<!--                                                        <label>-->
<!--                                                            <input type="checkbox" th:value="${dataRequest.getId()}" name="request" class="flat-red ad">-->
<!--                                                        </label>-->
<!--                                                    </td>-->
<!--                                                    <td>-->
<!--                                                        <table class="table table-bordered">-->
<!--                                                            <tr>-->
<!--                                                                <th style="width: 200px">From</th>-->
<!--                                                                <th style="width: 200px">Date</th>-->
<!--                                                                <th style="width: 200px">Request Date</th>-->
<!--                                                                <th>Approval History</th>-->
<!--                                                                <th style="width: 100px">-->
<!--                                                                    <a th:if="${dataRequest.getFile() == ''}" class="btn btn-danger btn-xs">-->
<!--                                                                        No Attachment-->
<!--                                                                    </a>-->
<!--                                                                    <a th:if="${dataRequest.getFile() != '' && dataRequest.getJenis() == 'attendance'}" class="btn btn-primary btn-xs" th:href="@{/attendance/{attendanceRequest}/request/(attendanceRequest = ${dataRequest.getId()})}" target="_blank">-->
<!--                                                                        View Attachment-->
<!--                                                                    </a>-->
<!--                                                                    <a th:if="${dataRequest.getFile() != '' && dataRequest.getJenis() == 'overtime'}" class="btn btn-primary btn-xs" th:href="@{/overtime/{overtimeRequest}/request/(overtimeRequest = ${dataRequest.getId()})}" target="_blank">-->
<!--                                                                        View Attachment-->
<!--                                                                    </a>-->
<!--                                                                    <a th:if="${dataRequest.getFile() != '' && dataRequest.getJenis() == 'time_off'}" class="btn btn-primary btn-xs" th:href="@{/time_off/{timeOffRequest}/request/(timeOffRequest = ${dataRequest.getId()})}" target="_blank">-->
<!--                                                                        View Attachment-->
<!--                                                                    </a>-->
<!--                                                                </th>-->
<!--                                                            </tr>-->
<!--                                                            <tr>-->
<!--                                                                <td th:text="${dataRequest.getFullName()}">BEASISWA</td>-->
<!--                                                                <td th:text="${#temporals.format(dataRequest.getTanggalPengajuan(),'dd-MMM-yyyy hh:mm:ss')}">BEASISWA</td>-->
<!--                                                                <td th:if="${dataRequest.getJenis() != 'time_off'}" th:text="${#temporals.format(dataRequest.getTanggal(),'dd-MMM-yyyy')}">BEASISWA</td>-->
<!--                                                                <td th:if="${dataRequest.getJenis() == 'time_off'}" th:text="${'From : ' + #temporals.format(dataRequest.getTanggal(),'dd-MMM-yyyy') + ' To : ' + #temporals.format(dataRequest.getSampai(),'dd-MMM-yyyy')}">BEASISWA</td>-->
<!--                                                                <td th:text="${dataRequest.getApprove()}"></td>-->
<!--                                                                <td>-->

<!--                                                                </td>-->
<!--                                                            </tr>-->
<!--                                                            <tr>-->
<!--                                                                <th th:if="${dataRequest.getJenis() == 'attendance'}"><font color="blue">Attendance</font></th>-->
<!--                                                                <th th:if="${dataRequest.getJenis() == 'overtime'}"><font color="green">Over Time</font></th>-->
<!--                                                                <th th:if="${dataRequest.getJenis() == 'time_off'}"><font color="#b22222">Time Off</font></th>-->
<!--                                                                <td colspan="3">-->
<!--                                                                    <span th:text="${dataRequest.getRequest()+' '}"></span>-->
<!--                                                                    <a th:href="@{/approval/change(id=${dataRequest.getId()})}" class="btn btn-primary btn-xs" th:if="${dataRequest.getJenis() == 'time_off'}">Change</a>-->
<!--                                                                </td>-->
<!--                                                                <td>-->

<!--&lt;!&ndash;                                                                    <form method="post" th:action="@{/approval/approve(request=${dataRequest.getId()}, option=${dataRequest.getJenis()})}">&ndash;&gt;-->
<!--&lt;!&ndash;                                                                        <button type="submit" class="btn btn-success btn-xs btn-block"&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                onclick="return confirm('Are you sure want to approve this?')">&ndash;&gt;-->
<!--&lt;!&ndash;                                                                            Approve&ndash;&gt;-->
<!--&lt;!&ndash;                                                                        </button>&ndash;&gt;-->
<!--&lt;!&ndash;                                                                    </form>&ndash;&gt;-->
<!--                                                                    <a class="btn btn-success btn-xs btn-block" th:href="@{/approval/approve(request=${dataRequest.getId()}, option=${dataRequest.getJenis()})}">Approve</a>-->
<!--                                                                </td>-->
<!--                                                            </tr>-->
<!--                                                            <tr>-->
<!--                                                                <th>Deskripsi</th>-->
<!--                                                                <td colspan="3" th:text="${dataRequest.getKeterangan()}">BEASISWA</td>-->
<!--                                                                <td>-->
<!--                                                                    <a class="btn btn-danger btn-xs btn-block" th:href="@{/approval/konfirmasi(request=${dataRequest.getId()}, option=${dataRequest.getJenis()})}">Rejected</a>-->
<!--&lt;!&ndash;                                                                    <button type="button" class="btn btn-danger btn-block btn-xs" data-toggle="modal" data-target="#modal-default" th:attr="data-target='#modal-default'+${dataRequest.getId()}">&ndash;&gt;-->
<!--&lt;!&ndash;                                                                        <span>Reject</span>&ndash;&gt;-->
<!--&lt;!&ndash;                                                                    </button>&ndash;&gt;-->

<!--&lt;!&ndash;                                                                    <div class="modal fade" th:id="modal-default+${dataRequest.getId()}">&ndash;&gt;-->
<!--&lt;!&ndash;                                                                        <div class="modal-dialog">&ndash;&gt;-->
<!--&lt;!&ndash;                                                                            <div class="modal-content">&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                <form method="post" name="form2" th:action="@{/approval/reject(request=${dataRequest.getId()}, option=${dataRequest.getJenis()})}" enctype="multipart/form-data">&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                    <div class="modal-header">&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                            <span aria-hidden="true">&times;</span></button>&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                        <h4 class="modal-title">Rejected Request</h4>&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                    </div>&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                    <div class="modal-body">&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                        <div class="row">&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                            <div class="form-group">&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                                <label for="reason" class="col-sm-2 control-label">Reason</label>&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                                <div class="col-sm-10">&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                                    <textarea class="form-control" name="reason" id="reason" rows="3" placeholder="Reason"></textarea>&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                                </div>&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                            </div>&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                        </div>&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                    </div>&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                    <div class="modal-footer">&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                        <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>&ndash;&gt;-->

<!--&lt;!&ndash;                                                                                        <button type="submit" value="reject" class="btn btn-danger pull-right">Submit</button>&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                    </div>&ndash;&gt;-->
<!--&lt;!&ndash;                                                                                </form>&ndash;&gt;-->
<!--&lt;!&ndash;                                                                            </div>&ndash;&gt;-->
<!--&lt;!&ndash;                                                                            &lt;!&ndash; /.modal-content &ndash;&gt;&ndash;&gt;-->
<!--&lt;!&ndash;                                                                        </div>&ndash;&gt;-->
<!--&lt;!&ndash;                                                                        &lt;!&ndash; /.modal-dialog &ndash;&gt;&ndash;&gt;-->
<!--&lt;!&ndash;                                                                    </div>&ndash;&gt;-->
<!--                                                                </td>-->
<!--                                                            </tr>-->
<!--                                                        </table>-->
<!--                                                    </td>-->
<!--                                                </tr>-->
<!--                                            </table>-->
<!--                                                    <div class="col-md-6">-->
<!--                                                        <input type="submit" class="btn btn-primary" value="Approve Checked">-->
<!--                                                    </div>-->
<!--                                            </form>-->
<!--                                        </div>-->
<!--                                        &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                                        <div class="box-footer clearfix">-->
<!--                                            <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
<!--                                                <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                                        aria-hidden="true">&laquo;</span></a>-->
<!--                                                </li>-->
<!--                                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                                                </li>-->
<!--                                            </ul>-->

<!--&lt;!&ndash;                                            <input type="text" class="form-control au" name="tampil" id="tampil">&ndash;&gt;-->
<!--                                        </div>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                                &lt;!&ndash;                                    <div class="box-footer">&ndash;&gt;-->
<!--                                &lt;!&ndash;&lt;!&ndash;                                        <a th:href="@{/masterdata/employes}" class="btn btn-default">Cancel</a>&ndash;&gt;&ndash;&gt;-->
<!--                                &lt;!&ndash;&lt;!&ndash;                                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>&ndash;&gt;&ndash;&gt;-->
<!--                                &lt;!&ndash;                                    </div>&ndash;&gt;-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </div>-->
<!--                </div>-->
<!--            </div>-->
<!--            &lt;!&ndash;                </form>&ndash;&gt;-->
<!--            &lt;!&ndash;            </div>&ndash;&gt;-->
<!--        </div>-->
<!--    </div>-->
<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#tanggalLahir').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->

<!--    <script>-->

<!--        $('.aa').on('ifChanged', function(event) {-->
<!--            // alert('checked = ' + event.target.checked);-->
<!--            // alert('value = ' + event.target.value);-->

<!--            var checkBox = document.getElementById("checkAll");-->

<!--            // If the checkbox is checked, display the output text-->
<!--            if (checkBox.checked == true){-->
<!--                // document.getElementById("tampil").setAttribute('value', 'tanggalString');-->
<!--                $('.ad').prop('checked', true);-->
<!--                $('.ad').iCheck('update');-->
<!--            } else {-->
<!--                // document.getElementById("tampil").setAttribute('value', '');-->
<!--                $('.ad').prop('checked', false);-->
<!--                $('.ad').iCheck('update');-->
<!--            }-->
<!--        });-->

<!--        function checkAll() {-->
<!--            // var checkBox = document.getElementById("checkAll");-->
<!--            //-->
<!--            // // If the checkbox is checked, display the output text-->
<!--            // if (checkBox.checked == true){-->
<!--            //     document.getElementById("tampil").setAttribute('value', 'tanggalString');-->
<!--            //     $(".ad").show();-->
<!--            // } else {-->
<!--            //     document.getElementById("tampil").setAttribute('value', '');-->
<!--            //     $(".ad").hide();-->
<!--            // }-->



<!--        }-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->
<!--</body>-->
<!--</html>-->